﻿using System.Xml.Linq;
using ThinkGeo.MapSuite.Core;

namespace WpfSample
{
    public static class AreaStyleExtension
    {
        public static XElement SaveSate(this AreaStyle areaStyle)
        {
            XElement state = new XElement("AreaStyle");
            state.Add(new XAttribute("Name", areaStyle.Name));
            state.Add(new XAttribute("TypeName", areaStyle.GetType().ToString()));
            state.Add(new XElement("OutLinePen",
                new XAttribute("Color", GeoColor.ToHtml(areaStyle.OutlinePen.Color)),
                new XAttribute("PenWidth", areaStyle.OutlinePen.Width)));
            state.Add(new XElement("FillSolidBrush", new XAttribute("Color", GeoColor.ToHtml(areaStyle.FillSolidBrush.Color))));
            return state;
        }

        public static void LoadState(this AreaStyle areaStyle, XElement state)
        {
            foreach (XElement element in state.Elements())
            {
                switch (element.Name.LocalName)
                {
                    case "OutLinePen":
                        areaStyle.OutlinePen = new GeoPen(GeoColor.FromHtml(element.Attribute("Color").Value),
                            float.Parse(element.Attribute("PenWidth").Value));
                        break;
                    case "FillSolidBrush":
                        areaStyle.FillSolidBrush.Color = GeoColor.FromHtml(element.Attribute("Color").Value);
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
