﻿using System.IO;
using System.Xml.Linq;
using ThinkGeo.MapSuite.Core;

namespace WpfSample
{
    public static class ShapeFileFeatureLayerExtension
    {
        public static XElement SaveSate(this ShapeFileFeatureLayer layer)
        {
            XElement state = new XElement("Layer",
                new XAttribute("TypeName", layer.GetType().FullName));
            state.Add(layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.SaveSate());
            return state;
        }

        public static void LoadState(this ShapeFileFeatureLayer layer, XElement state)
        {
            layer.ShapePathFileName = state.Attribute("Path").Value;
            layer.IndexPathFileName = Path.ChangeExtension(layer.ShapePathFileName, "idx");
            layer.RequireIndex = true;

            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle.LoadState(state.Element("AreaStyle"));
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
        }
    }
}
