﻿using System;
using System.Windows;
using System.Xml.Linq;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfSample
{
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void wpfMap1_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;
            wpfMap1.CurrentExtent = new RectangleShape(-133.2515625, 89.2484375, 126.9046875, -88.290625);

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer();

            // LoadState is extension method which you can find in file ShapeFileFeatureLayerExtension.cs .
            // This method used to initialize styles from xml config file which you can modify the colors in
            // order to change the map styles dynamicly.
            // In this sample we only set AreaStyle for you. 
            // If you need other style you can extent our method for your needs.
            worldLayer.LoadState(XElement.Load(@"state.xml"));

            LayerOverlay worldOverlay = new LayerOverlay();
            worldOverlay.Layers.Add("WorldLayer", worldLayer);
            wpfMap1.Overlays.Add("WorldOverlay", worldOverlay);
        }
    }
}
